Name:           gnome-sharp
Version:        2.16.0
Release:        1%{?dist}
Summary:        GTK+ and GNOME bindings for Mono

Group:          System Environment/Libraries
License:        LGPL
URL:            ftp://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.16/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gnome-sharp/2.16/gnome-sharp-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: gnome-sharp-2.15.0-libdir.patch

BuildRequires:  mono-devel gtk2-devel libart_lgpl-devel gnome-vfs2-devel libgnomecanvas-devel libgnomeui-devel
BuildRequires:  gtk-sharp2-devel >= 2.10.0
BuildRequires:  gtk-sharp2-gapi >= 2.10.0
BuildRequires:  librsvg2-devel gtkhtml3-devel vte-devel gnome-panel-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  automake, libtool

# Mono only availible on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc
# no mono on s390 for now: s390 s390x 

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. gnome-sharp
extends gtk-sharp2 and adds bindings for gconf, libgnome, gnome-vfs,
libart, gtkhtml, librsvg, and vte.

%package devel
Summary: files needed for developing with gnome-sharp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides the necessary development libraries and headers
for writing gnome-sharp2 applications.

%prep
%setup -n gnome-sharp-%{version}
%patch1 -p1 -b .libdir

%build
autoreconf --force --install

export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp-2.0 /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.*a

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_bindir}/gconfsharp2-schemagen
%{_libdir}/gtk-sharp-2.0/gconfsharp-schemagen.exe
%{_libdir}/*.so
%{_libdir}/mono/gac
%{_libdir}/mono/gtk-sharp-2.0/*.dll
%{_datadir}/gapi-2.0/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*-sharp-2.0.pc

%changelog
* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1.fc6
- Update to 2.16.0

* Fri Aug 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.0-2.fc6
- Require pkgconfig, not pkg-config

* Mon Aug 14 2006 Alexander Larsson <alexl@redhat.com> - 2.15.0-1
- Initial version split out from gtk-sharp2
